Package twisted :: Package internet :: Module default :: Class _UnixWaker |
[show private | hide private]
[frames | no frames]

## Class _UnixWaker

       Logger --+
                |
    Ephemeral --+
                |
               _UnixWaker

This class provides a simple interface to wake up the select() loop.

This is necessary only in multi-threaded programs.

Method Summary
| ``__init__`(self, reactor)` Initialize.
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionLost`(self, reason)` Close both ends of my pipe.
| ``doRead`(self)` Read one byte from the pipe.
| ``logPrefix`(self)` Override this method to insert custom logging behavior. (inherited from `Logger`)
| ``wakeUp`(self)` Write one byte to the pipe, and flush it.

Class Variable Summary
`int` | `disconnected`

Method Details

### __init__(self, reactor) (Constructor) Initialize.

### connectionLost(self, reason) Close both ends of my pipe.

### doRead(self) Read one byte from the pipe.

### wakeUp(self) Write one byte to the pipe, and flush it.

Class Variable Details

    ### disconnected Type: `int` Value:
        0

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net